package com.ruoyi.bst.refund.domain.enums;

import java.util.List;

import com.ruoyi.common.utils.collection.CollectionUtils;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum RefundStatus {
    
    
    REFUNDING("REFUNDING", "退款中"),
    SUCCESS("SUCCESS", "退款成功"),
    FAILED("FAILED", "退款失败");

    private final String status;
    private final String desc;

    public static List<String> asList(RefundStatus ...statuses) {
        return CollectionUtils.map( RefundStatus::getStatus, statuses);
    }

    public static List<String> valid() {
        return asList(REFUNDING, SUCCESS);
    }

}
